"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateApiKey_1 = require("../model/operations/CreateApiKey");
class CreateApiKeyCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateApiKey_1.CreateApiKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateApiKeyCommand = CreateApiKeyCommand;
//# sourceMappingURL=CreateApiKeyCommand.js.map