"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateBasePathMapping_1 = require("../model/operations/CreateBasePathMapping");
class CreateBasePathMappingCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateBasePathMapping_1.CreateBasePathMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateBasePathMappingCommand = CreateBasePathMappingCommand;
//# sourceMappingURL=CreateBasePathMappingCommand.js.map