"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateDomainName_1 = require("../model/operations/CreateDomainName");
class CreateDomainNameCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateDomainName_1.CreateDomainName;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateDomainNameCommand = CreateDomainNameCommand;
//# sourceMappingURL=CreateDomainNameCommand.js.map