"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateRequestValidator_1 = require("../model/operations/CreateRequestValidator");
class CreateRequestValidatorCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateRequestValidator_1.CreateRequestValidator;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateRequestValidatorCommand = CreateRequestValidatorCommand;
//# sourceMappingURL=CreateRequestValidatorCommand.js.map