/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateResourceInput } from "../types/CreateResourceInput";
import { CreateResourceOutput } from "../types/CreateResourceOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/CreateResourceInput";
export * from "../types/CreateResourceOutput";
export * from "../types/CreateResourceExceptionsUnion";
export declare class CreateResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateResourceInput, OutputTypesUnion, CreateResourceOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: CreateResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateResourceInput, CreateResourceOutput, _stream.Readable>;
    constructor(input: CreateResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<CreateResourceInput, CreateResourceOutput>;
}
