"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateResource_1 = require("../model/operations/CreateResource");
class CreateResourceCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateResource_1.CreateResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateResourceCommand = CreateResourceCommand;
//# sourceMappingURL=CreateResourceCommand.js.map