"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateRestApi_1 = require("../model/operations/CreateRestApi");
class CreateRestApiCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateRestApi_1.CreateRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateRestApiCommand = CreateRestApiCommand;
//# sourceMappingURL=CreateRestApiCommand.js.map