"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateUsagePlan_1 = require("../model/operations/CreateUsagePlan");
class CreateUsagePlanCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateUsagePlan_1.CreateUsagePlan;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateUsagePlanCommand = CreateUsagePlanCommand;
//# sourceMappingURL=CreateUsagePlanCommand.js.map