"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateVpcLink_1 = require("../model/operations/CreateVpcLink");
class CreateVpcLinkCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateVpcLink_1.CreateVpcLink;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateVpcLinkCommand = CreateVpcLinkCommand;
//# sourceMappingURL=CreateVpcLinkCommand.js.map