"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteAuthorizer_1 = require("../model/operations/DeleteAuthorizer");
class DeleteAuthorizerCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteAuthorizer_1.DeleteAuthorizer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteAuthorizerCommand = DeleteAuthorizerCommand;
//# sourceMappingURL=DeleteAuthorizerCommand.js.map