"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteBasePathMapping_1 = require("../model/operations/DeleteBasePathMapping");
class DeleteBasePathMappingCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteBasePathMapping_1.DeleteBasePathMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteBasePathMappingCommand = DeleteBasePathMappingCommand;
//# sourceMappingURL=DeleteBasePathMappingCommand.js.map