"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteClientCertificate_1 = require("../model/operations/DeleteClientCertificate");
class DeleteClientCertificateCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteClientCertificate_1.DeleteClientCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteClientCertificateCommand = DeleteClientCertificateCommand;
//# sourceMappingURL=DeleteClientCertificateCommand.js.map