"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteDeployment_1 = require("../model/operations/DeleteDeployment");
class DeleteDeploymentCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteDeployment_1.DeleteDeployment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteDeploymentCommand = DeleteDeploymentCommand;
//# sourceMappingURL=DeleteDeploymentCommand.js.map