"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteDocumentationPart_1 = require("../model/operations/DeleteDocumentationPart");
class DeleteDocumentationPartCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteDocumentationPart_1.DeleteDocumentationPart;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteDocumentationPartCommand = DeleteDocumentationPartCommand;
//# sourceMappingURL=DeleteDocumentationPartCommand.js.map