"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteDocumentationVersion_1 = require("../model/operations/DeleteDocumentationVersion");
class DeleteDocumentationVersionCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteDocumentationVersion_1.DeleteDocumentationVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteDocumentationVersionCommand = DeleteDocumentationVersionCommand;
//# sourceMappingURL=DeleteDocumentationVersionCommand.js.map