"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteIntegration_1 = require("../model/operations/DeleteIntegration");
class DeleteIntegrationCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteIntegration_1.DeleteIntegration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteIntegrationCommand = DeleteIntegrationCommand;
//# sourceMappingURL=DeleteIntegrationCommand.js.map