"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteIntegrationResponse_1 = require("../model/operations/DeleteIntegrationResponse");
class DeleteIntegrationResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteIntegrationResponse_1.DeleteIntegrationResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteIntegrationResponseCommand = DeleteIntegrationResponseCommand;
//# sourceMappingURL=DeleteIntegrationResponseCommand.js.map