"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteMethod_1 = require("../model/operations/DeleteMethod");
class DeleteMethodCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteMethod_1.DeleteMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteMethodCommand = DeleteMethodCommand;
//# sourceMappingURL=DeleteMethodCommand.js.map