"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteMethodResponse_1 = require("../model/operations/DeleteMethodResponse");
class DeleteMethodResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteMethodResponse_1.DeleteMethodResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteMethodResponseCommand = DeleteMethodResponseCommand;
//# sourceMappingURL=DeleteMethodResponseCommand.js.map