/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteModelInput } from "../types/DeleteModelInput";
import { DeleteModelOutput } from "../types/DeleteModelOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/DeleteModelInput";
export * from "../types/DeleteModelOutput";
export * from "../types/DeleteModelExceptionsUnion";
export declare class DeleteModelCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteModelInput, OutputTypesUnion, DeleteModelOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteModelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteModelInput, DeleteModelOutput, _stream.Readable>;
    constructor(input: DeleteModelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<DeleteModelInput, DeleteModelOutput>;
}
