"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteRequestValidator_1 = require("../model/operations/DeleteRequestValidator");
class DeleteRequestValidatorCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteRequestValidator_1.DeleteRequestValidator;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteRequestValidatorCommand = DeleteRequestValidatorCommand;
//# sourceMappingURL=DeleteRequestValidatorCommand.js.map