"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteResource_1 = require("../model/operations/DeleteResource");
class DeleteResourceCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteResource_1.DeleteResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteResourceCommand = DeleteResourceCommand;
//# sourceMappingURL=DeleteResourceCommand.js.map