"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteRestApi_1 = require("../model/operations/DeleteRestApi");
class DeleteRestApiCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteRestApi_1.DeleteRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteRestApiCommand = DeleteRestApiCommand;
//# sourceMappingURL=DeleteRestApiCommand.js.map