"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteUsagePlan_1 = require("../model/operations/DeleteUsagePlan");
class DeleteUsagePlanCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteUsagePlan_1.DeleteUsagePlan;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteUsagePlanCommand = DeleteUsagePlanCommand;
//# sourceMappingURL=DeleteUsagePlanCommand.js.map