"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteUsagePlanKey_1 = require("../model/operations/DeleteUsagePlanKey");
class DeleteUsagePlanKeyCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteUsagePlanKey_1.DeleteUsagePlanKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteUsagePlanKeyCommand = DeleteUsagePlanKeyCommand;
//# sourceMappingURL=DeleteUsagePlanKeyCommand.js.map