"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const DeleteVpcLink_1 = require("../model/operations/DeleteVpcLink");
class DeleteVpcLinkCommand {
    constructor(input) {
        this.input = input;
        this.model = DeleteVpcLink_1.DeleteVpcLink;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.DeleteVpcLinkCommand = DeleteVpcLinkCommand;
//# sourceMappingURL=DeleteVpcLinkCommand.js.map