"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const FlushStageAuthorizersCache_1 = require("../model/operations/FlushStageAuthorizersCache");
class FlushStageAuthorizersCacheCommand {
    constructor(input) {
        this.input = input;
        this.model = FlushStageAuthorizersCache_1.FlushStageAuthorizersCache;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.FlushStageAuthorizersCacheCommand = FlushStageAuthorizersCacheCommand;
//# sourceMappingURL=FlushStageAuthorizersCacheCommand.js.map