"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const FlushStageCache_1 = require("../model/operations/FlushStageCache");
class FlushStageCacheCommand {
    constructor(input) {
        this.input = input;
        this.model = FlushStageCache_1.FlushStageCache;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.FlushStageCacheCommand = FlushStageCacheCommand;
//# sourceMappingURL=FlushStageCacheCommand.js.map