"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GenerateClientCertificate_1 = require("../model/operations/GenerateClientCertificate");
class GenerateClientCertificateCommand {
    constructor(input) {
        this.input = input;
        this.model = GenerateClientCertificate_1.GenerateClientCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GenerateClientCertificateCommand = GenerateClientCertificateCommand;
//# sourceMappingURL=GenerateClientCertificateCommand.js.map