"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetAccount_1 = require("../model/operations/GetAccount");
class GetAccountCommand {
    constructor(input) {
        this.input = input;
        this.model = GetAccount_1.GetAccount;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetAccountCommand = GetAccountCommand;
//# sourceMappingURL=GetAccountCommand.js.map