"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetApiKey_1 = require("../model/operations/GetApiKey");
class GetApiKeyCommand {
    constructor(input) {
        this.input = input;
        this.model = GetApiKey_1.GetApiKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetApiKeyCommand = GetApiKeyCommand;
//# sourceMappingURL=GetApiKeyCommand.js.map