"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetApiKeys_1 = require("../model/operations/GetApiKeys");
class GetApiKeysCommand {
    constructor(input) {
        this.input = input;
        this.model = GetApiKeys_1.GetApiKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetApiKeysCommand = GetApiKeysCommand;
//# sourceMappingURL=GetApiKeysCommand.js.map