"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetAuthorizer_1 = require("../model/operations/GetAuthorizer");
class GetAuthorizerCommand {
    constructor(input) {
        this.input = input;
        this.model = GetAuthorizer_1.GetAuthorizer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetAuthorizerCommand = GetAuthorizerCommand;
//# sourceMappingURL=GetAuthorizerCommand.js.map