"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetAuthorizers_1 = require("../model/operations/GetAuthorizers");
class GetAuthorizersCommand {
    constructor(input) {
        this.input = input;
        this.model = GetAuthorizers_1.GetAuthorizers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetAuthorizersCommand = GetAuthorizersCommand;
//# sourceMappingURL=GetAuthorizersCommand.js.map