"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetBasePathMapping_1 = require("../model/operations/GetBasePathMapping");
class GetBasePathMappingCommand {
    constructor(input) {
        this.input = input;
        this.model = GetBasePathMapping_1.GetBasePathMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetBasePathMappingCommand = GetBasePathMappingCommand;
//# sourceMappingURL=GetBasePathMappingCommand.js.map