"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetBasePathMappings_1 = require("../model/operations/GetBasePathMappings");
class GetBasePathMappingsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetBasePathMappings_1.GetBasePathMappings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetBasePathMappingsCommand = GetBasePathMappingsCommand;
//# sourceMappingURL=GetBasePathMappingsCommand.js.map