"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetClientCertificates_1 = require("../model/operations/GetClientCertificates");
class GetClientCertificatesCommand {
    constructor(input) {
        this.input = input;
        this.model = GetClientCertificates_1.GetClientCertificates;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetClientCertificatesCommand = GetClientCertificatesCommand;
//# sourceMappingURL=GetClientCertificatesCommand.js.map