"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetDeployments_1 = require("../model/operations/GetDeployments");
class GetDeploymentsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetDeployments_1.GetDeployments;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetDeploymentsCommand = GetDeploymentsCommand;
//# sourceMappingURL=GetDeploymentsCommand.js.map