"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetDocumentationParts_1 = require("../model/operations/GetDocumentationParts");
class GetDocumentationPartsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetDocumentationParts_1.GetDocumentationParts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetDocumentationPartsCommand = GetDocumentationPartsCommand;
//# sourceMappingURL=GetDocumentationPartsCommand.js.map