"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetDocumentationVersion_1 = require("../model/operations/GetDocumentationVersion");
class GetDocumentationVersionCommand {
    constructor(input) {
        this.input = input;
        this.model = GetDocumentationVersion_1.GetDocumentationVersion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetDocumentationVersionCommand = GetDocumentationVersionCommand;
//# sourceMappingURL=GetDocumentationVersionCommand.js.map