"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetDomainName_1 = require("../model/operations/GetDomainName");
class GetDomainNameCommand {
    constructor(input) {
        this.input = input;
        this.model = GetDomainName_1.GetDomainName;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetDomainNameCommand = GetDomainNameCommand;
//# sourceMappingURL=GetDomainNameCommand.js.map