"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetDomainNames_1 = require("../model/operations/GetDomainNames");
class GetDomainNamesCommand {
    constructor(input) {
        this.input = input;
        this.model = GetDomainNames_1.GetDomainNames;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetDomainNamesCommand = GetDomainNamesCommand;
//# sourceMappingURL=GetDomainNamesCommand.js.map