"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetGatewayResponses_1 = require("../model/operations/GetGatewayResponses");
class GetGatewayResponsesCommand {
    constructor(input) {
        this.input = input;
        this.model = GetGatewayResponses_1.GetGatewayResponses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetGatewayResponsesCommand = GetGatewayResponsesCommand;
//# sourceMappingURL=GetGatewayResponsesCommand.js.map