/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetIntegrationInput } from "../types/GetIntegrationInput";
import { GetIntegrationOutput } from "../types/GetIntegrationOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/GetIntegrationInput";
export * from "../types/GetIntegrationOutput";
export * from "../types/GetIntegrationExceptionsUnion";
export declare class GetIntegrationCommand implements __aws_sdk_types.Command<InputTypesUnion, GetIntegrationInput, OutputTypesUnion, GetIntegrationOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: GetIntegrationInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetIntegrationInput, GetIntegrationOutput, _stream.Readable>;
    constructor(input: GetIntegrationInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<GetIntegrationInput, GetIntegrationOutput>;
}
