"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetIntegration_1 = require("../model/operations/GetIntegration");
class GetIntegrationCommand {
    constructor(input) {
        this.input = input;
        this.model = GetIntegration_1.GetIntegration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetIntegrationCommand = GetIntegrationCommand;
//# sourceMappingURL=GetIntegrationCommand.js.map