"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetIntegrationResponse_1 = require("../model/operations/GetIntegrationResponse");
class GetIntegrationResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = GetIntegrationResponse_1.GetIntegrationResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetIntegrationResponseCommand = GetIntegrationResponseCommand;
//# sourceMappingURL=GetIntegrationResponseCommand.js.map