"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetMethod_1 = require("../model/operations/GetMethod");
class GetMethodCommand {
    constructor(input) {
        this.input = input;
        this.model = GetMethod_1.GetMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetMethodCommand = GetMethodCommand;
//# sourceMappingURL=GetMethodCommand.js.map