"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetMethodResponse_1 = require("../model/operations/GetMethodResponse");
class GetMethodResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = GetMethodResponse_1.GetMethodResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetMethodResponseCommand = GetMethodResponseCommand;
//# sourceMappingURL=GetMethodResponseCommand.js.map