"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetModelTemplate_1 = require("../model/operations/GetModelTemplate");
class GetModelTemplateCommand {
    constructor(input) {
        this.input = input;
        this.model = GetModelTemplate_1.GetModelTemplate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetModelTemplateCommand = GetModelTemplateCommand;
//# sourceMappingURL=GetModelTemplateCommand.js.map