"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetModels_1 = require("../model/operations/GetModels");
class GetModelsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetModels_1.GetModels;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetModelsCommand = GetModelsCommand;
//# sourceMappingURL=GetModelsCommand.js.map