"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetRequestValidator_1 = require("../model/operations/GetRequestValidator");
class GetRequestValidatorCommand {
    constructor(input) {
        this.input = input;
        this.model = GetRequestValidator_1.GetRequestValidator;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetRequestValidatorCommand = GetRequestValidatorCommand;
//# sourceMappingURL=GetRequestValidatorCommand.js.map