"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetRestApis_1 = require("../model/operations/GetRestApis");
class GetRestApisCommand {
    constructor(input) {
        this.input = input;
        this.model = GetRestApis_1.GetRestApis;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetRestApisCommand = GetRestApisCommand;
//# sourceMappingURL=GetRestApisCommand.js.map