"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetSdk_1 = require("../model/operations/GetSdk");
class GetSdkCommand {
    constructor(input) {
        this.input = input;
        this.model = GetSdk_1.GetSdk;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetSdkCommand = GetSdkCommand;
//# sourceMappingURL=GetSdkCommand.js.map