"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetTags_1 = require("../model/operations/GetTags");
class GetTagsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetTags_1.GetTags;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetTagsCommand = GetTagsCommand;
//# sourceMappingURL=GetTagsCommand.js.map