"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetUsagePlan_1 = require("../model/operations/GetUsagePlan");
class GetUsagePlanCommand {
    constructor(input) {
        this.input = input;
        this.model = GetUsagePlan_1.GetUsagePlan;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetUsagePlanCommand = GetUsagePlanCommand;
//# sourceMappingURL=GetUsagePlanCommand.js.map