"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetUsagePlanKey_1 = require("../model/operations/GetUsagePlanKey");
class GetUsagePlanKeyCommand {
    constructor(input) {
        this.input = input;
        this.model = GetUsagePlanKey_1.GetUsagePlanKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetUsagePlanKeyCommand = GetUsagePlanKeyCommand;
//# sourceMappingURL=GetUsagePlanKeyCommand.js.map