"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetUsagePlanKeys_1 = require("../model/operations/GetUsagePlanKeys");
class GetUsagePlanKeysCommand {
    constructor(input) {
        this.input = input;
        this.model = GetUsagePlanKeys_1.GetUsagePlanKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetUsagePlanKeysCommand = GetUsagePlanKeysCommand;
//# sourceMappingURL=GetUsagePlanKeysCommand.js.map