"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetVpcLink_1 = require("../model/operations/GetVpcLink");
class GetVpcLinkCommand {
    constructor(input) {
        this.input = input;
        this.model = GetVpcLink_1.GetVpcLink;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetVpcLinkCommand = GetVpcLinkCommand;
//# sourceMappingURL=GetVpcLinkCommand.js.map