"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetVpcLinks_1 = require("../model/operations/GetVpcLinks");
class GetVpcLinksCommand {
    constructor(input) {
        this.input = input;
        this.model = GetVpcLinks_1.GetVpcLinks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetVpcLinksCommand = GetVpcLinksCommand;
//# sourceMappingURL=GetVpcLinksCommand.js.map