"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ImportRestApi_1 = require("../model/operations/ImportRestApi");
class ImportRestApiCommand {
    constructor(input) {
        this.input = input;
        this.model = ImportRestApi_1.ImportRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ImportRestApiCommand = ImportRestApiCommand;
//# sourceMappingURL=ImportRestApiCommand.js.map