"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PutGatewayResponse_1 = require("../model/operations/PutGatewayResponse");
class PutGatewayResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = PutGatewayResponse_1.PutGatewayResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PutGatewayResponseCommand = PutGatewayResponseCommand;
//# sourceMappingURL=PutGatewayResponseCommand.js.map