"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PutIntegration_1 = require("../model/operations/PutIntegration");
class PutIntegrationCommand {
    constructor(input) {
        this.input = input;
        this.model = PutIntegration_1.PutIntegration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PutIntegrationCommand = PutIntegrationCommand;
//# sourceMappingURL=PutIntegrationCommand.js.map