"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PutIntegrationResponse_1 = require("../model/operations/PutIntegrationResponse");
class PutIntegrationResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = PutIntegrationResponse_1.PutIntegrationResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PutIntegrationResponseCommand = PutIntegrationResponseCommand;
//# sourceMappingURL=PutIntegrationResponseCommand.js.map