"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PutMethod_1 = require("../model/operations/PutMethod");
class PutMethodCommand {
    constructor(input) {
        this.input = input;
        this.model = PutMethod_1.PutMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PutMethodCommand = PutMethodCommand;
//# sourceMappingURL=PutMethodCommand.js.map