"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PutMethodResponse_1 = require("../model/operations/PutMethodResponse");
class PutMethodResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = PutMethodResponse_1.PutMethodResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PutMethodResponseCommand = PutMethodResponseCommand;
//# sourceMappingURL=PutMethodResponseCommand.js.map