"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const PutRestApi_1 = require("../model/operations/PutRestApi");
class PutRestApiCommand {
    constructor(input) {
        this.input = input;
        this.model = PutRestApi_1.PutRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.PutRestApiCommand = PutRestApiCommand;
//# sourceMappingURL=PutRestApiCommand.js.map