"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const TestInvokeAuthorizer_1 = require("../model/operations/TestInvokeAuthorizer");
class TestInvokeAuthorizerCommand {
    constructor(input) {
        this.input = input;
        this.model = TestInvokeAuthorizer_1.TestInvokeAuthorizer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.TestInvokeAuthorizerCommand = TestInvokeAuthorizerCommand;
//# sourceMappingURL=TestInvokeAuthorizerCommand.js.map