"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const TestInvokeMethod_1 = require("../model/operations/TestInvokeMethod");
class TestInvokeMethodCommand {
    constructor(input) {
        this.input = input;
        this.model = TestInvokeMethod_1.TestInvokeMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.TestInvokeMethodCommand = TestInvokeMethodCommand;
//# sourceMappingURL=TestInvokeMethodCommand.js.map