"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateApiKey_1 = require("../model/operations/UpdateApiKey");
class UpdateApiKeyCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateApiKey_1.UpdateApiKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateApiKeyCommand = UpdateApiKeyCommand;
//# sourceMappingURL=UpdateApiKeyCommand.js.map