"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateAuthorizer_1 = require("../model/operations/UpdateAuthorizer");
class UpdateAuthorizerCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateAuthorizer_1.UpdateAuthorizer;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateAuthorizerCommand = UpdateAuthorizerCommand;
//# sourceMappingURL=UpdateAuthorizerCommand.js.map