"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateBasePathMapping_1 = require("../model/operations/UpdateBasePathMapping");
class UpdateBasePathMappingCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateBasePathMapping_1.UpdateBasePathMapping;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateBasePathMappingCommand = UpdateBasePathMappingCommand;
//# sourceMappingURL=UpdateBasePathMappingCommand.js.map