"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateClientCertificate_1 = require("../model/operations/UpdateClientCertificate");
class UpdateClientCertificateCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateClientCertificate_1.UpdateClientCertificate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateClientCertificateCommand = UpdateClientCertificateCommand;
//# sourceMappingURL=UpdateClientCertificateCommand.js.map