"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateDocumentationPart_1 = require("../model/operations/UpdateDocumentationPart");
class UpdateDocumentationPartCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateDocumentationPart_1.UpdateDocumentationPart;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateDocumentationPartCommand = UpdateDocumentationPartCommand;
//# sourceMappingURL=UpdateDocumentationPartCommand.js.map