"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateDomainName_1 = require("../model/operations/UpdateDomainName");
class UpdateDomainNameCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateDomainName_1.UpdateDomainName;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateDomainNameCommand = UpdateDomainNameCommand;
//# sourceMappingURL=UpdateDomainNameCommand.js.map