"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateGatewayResponse_1 = require("../model/operations/UpdateGatewayResponse");
class UpdateGatewayResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateGatewayResponse_1.UpdateGatewayResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateGatewayResponseCommand = UpdateGatewayResponseCommand;
//# sourceMappingURL=UpdateGatewayResponseCommand.js.map