"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateMethod_1 = require("../model/operations/UpdateMethod");
class UpdateMethodCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateMethod_1.UpdateMethod;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateMethodCommand = UpdateMethodCommand;
//# sourceMappingURL=UpdateMethodCommand.js.map