"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateMethodResponse_1 = require("../model/operations/UpdateMethodResponse");
class UpdateMethodResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateMethodResponse_1.UpdateMethodResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateMethodResponseCommand = UpdateMethodResponseCommand;
//# sourceMappingURL=UpdateMethodResponseCommand.js.map