/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateModelInput } from "../types/UpdateModelInput";
import { UpdateModelOutput } from "../types/UpdateModelOutput";
import { APIGatewayResolvedConfiguration } from "../APIGatewayConfiguration";
export * from "../types/UpdateModelInput";
export * from "../types/UpdateModelOutput";
export * from "../types/UpdateModelExceptionsUnion";
export declare class UpdateModelCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateModelInput, OutputTypesUnion, UpdateModelOutput, APIGatewayResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateModelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateModelInput, UpdateModelOutput, _stream.Readable>;
    constructor(input: UpdateModelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: APIGatewayResolvedConfiguration): __aws_sdk_types.Handler<UpdateModelInput, UpdateModelOutput>;
}
