"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateModel_1 = require("../model/operations/UpdateModel");
class UpdateModelCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateModel_1.UpdateModel;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateModelCommand = UpdateModelCommand;
//# sourceMappingURL=UpdateModelCommand.js.map