"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateRequestValidator_1 = require("../model/operations/UpdateRequestValidator");
class UpdateRequestValidatorCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateRequestValidator_1.UpdateRequestValidator;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateRequestValidatorCommand = UpdateRequestValidatorCommand;
//# sourceMappingURL=UpdateRequestValidatorCommand.js.map