"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateRestApi_1 = require("../model/operations/UpdateRestApi");
class UpdateRestApiCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateRestApi_1.UpdateRestApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateRestApiCommand = UpdateRestApiCommand;
//# sourceMappingURL=UpdateRestApiCommand.js.map