"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateStage_1 = require("../model/operations/UpdateStage");
class UpdateStageCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateStage_1.UpdateStage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateStageCommand = UpdateStageCommand;
//# sourceMappingURL=UpdateStageCommand.js.map