"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateUsage_1 = require("../model/operations/UpdateUsage");
class UpdateUsageCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateUsage_1.UpdateUsage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateUsageCommand = UpdateUsageCommand;
//# sourceMappingURL=UpdateUsageCommand.js.map