"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const UpdateUsagePlan_1 = require("../model/operations/UpdateUsagePlan");
class UpdateUsagePlanCommand {
    constructor(input) {
        this.input = input;
        this.model = UpdateUsagePlan_1.UpdateUsagePlan;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.UpdateUsagePlanCommand = UpdateUsagePlanCommand;
//# sourceMappingURL=UpdateUsagePlanCommand.js.map