"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateApiKeyInput_1 = require("../shapes/CreateApiKeyInput");
const CreateApiKeyOutput_1 = require("../shapes/CreateApiKeyOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateApiKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateApiKey",
    http: {
        method: "POST",
        requestUri: "/apikeys"
    },
    input: {
        shape: CreateApiKeyInput_1.CreateApiKeyInput
    },
    output: {
        shape: CreateApiKeyOutput_1.CreateApiKeyOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateApiKey.js.map