"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateBasePathMappingInput_1 = require("../shapes/CreateBasePathMappingInput");
const CreateBasePathMappingOutput_1 = require("../shapes/CreateBasePathMappingOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const ConflictException_1 = require("../shapes/ConflictException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateBasePathMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateBasePathMapping",
    http: {
        method: "POST",
        requestUri: "/domainnames/{domain_name}/basepathmappings"
    },
    input: {
        shape: CreateBasePathMappingInput_1.CreateBasePathMappingInput
    },
    output: {
        shape: CreateBasePathMappingOutput_1.CreateBasePathMappingOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateBasePathMapping.js.map