"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDeploymentInput_1 = require("../shapes/CreateDeploymentInput");
const CreateDeploymentOutput_1 = require("../shapes/CreateDeploymentOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDeployment",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/deployments"
    },
    input: {
        shape: CreateDeploymentInput_1.CreateDeploymentInput
    },
    output: {
        shape: CreateDeploymentOutput_1.CreateDeploymentOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        }
    ]
};
//# sourceMappingURL=CreateDeployment.js.map