"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateDomainNameInput_1 = require("../shapes/CreateDomainNameInput");
const CreateDomainNameOutput_1 = require("../shapes/CreateDomainNameOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateDomainName = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateDomainName",
    http: {
        method: "POST",
        requestUri: "/domainnames"
    },
    input: {
        shape: CreateDomainNameInput_1.CreateDomainNameInput
    },
    output: {
        shape: CreateDomainNameOutput_1.CreateDomainNameOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateDomainName.js.map