"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateModelInput_1 = require("../shapes/CreateModelInput");
const CreateModelOutput_1 = require("../shapes/CreateModelOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateModel",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/models"
    },
    input: {
        shape: CreateModelInput_1.CreateModelInput
    },
    output: {
        shape: CreateModelOutput_1.CreateModelOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateModel.js.map