"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateResourceInput_1 = require("../shapes/CreateResourceInput");
const CreateResourceOutput_1 = require("../shapes/CreateResourceOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateResource",
    http: {
        method: "POST",
        requestUri: "/restapis/{restapi_id}/resources/{parent_id}"
    },
    input: {
        shape: CreateResourceInput_1.CreateResourceInput
    },
    output: {
        shape: CreateResourceOutput_1.CreateResourceOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateResource.js.map