"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateRestApiInput_1 = require("../shapes/CreateRestApiInput");
const CreateRestApiOutput_1 = require("../shapes/CreateRestApiOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateRestApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateRestApi",
    http: {
        method: "POST",
        requestUri: "/restapis"
    },
    input: {
        shape: CreateRestApiInput_1.CreateRestApiInput
    },
    output: {
        shape: CreateRestApiOutput_1.CreateRestApiOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateRestApi.js.map