"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateUsagePlanKeyInput_1 = require("../shapes/CreateUsagePlanKeyInput");
const CreateUsagePlanKeyOutput_1 = require("../shapes/CreateUsagePlanKeyOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateUsagePlanKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateUsagePlanKey",
    http: {
        method: "POST",
        requestUri: "/usageplans/{usageplanId}/keys"
    },
    input: {
        shape: CreateUsagePlanKeyInput_1.CreateUsagePlanKeyInput
    },
    output: {
        shape: CreateUsagePlanKeyOutput_1.CreateUsagePlanKeyOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateUsagePlanKey.js.map