"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateVpcLinkInput_1 = require("../shapes/CreateVpcLinkInput");
const CreateVpcLinkOutput_1 = require("../shapes/CreateVpcLinkOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateVpcLink = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateVpcLink",
    http: {
        method: "POST",
        requestUri: "/vpclinks"
    },
    input: {
        shape: CreateVpcLinkInput_1.CreateVpcLinkInput
    },
    output: {
        shape: CreateVpcLinkOutput_1.CreateVpcLinkOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=CreateVpcLink.js.map