"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteApiKeyInput_1 = require("../shapes/DeleteApiKeyInput");
const DeleteApiKeyOutput_1 = require("../shapes/DeleteApiKeyOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteApiKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteApiKey",
    http: {
        method: "DELETE",
        requestUri: "/apikeys/{api_Key}"
    },
    input: {
        shape: DeleteApiKeyInput_1.DeleteApiKeyInput
    },
    output: {
        shape: DeleteApiKeyOutput_1.DeleteApiKeyOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteApiKey.js.map