"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteAuthorizerInput_1 = require("../shapes/DeleteAuthorizerInput");
const DeleteAuthorizerOutput_1 = require("../shapes/DeleteAuthorizerOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteAuthorizer",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/authorizers/{authorizer_id}"
    },
    input: {
        shape: DeleteAuthorizerInput_1.DeleteAuthorizerInput
    },
    output: {
        shape: DeleteAuthorizerOutput_1.DeleteAuthorizerOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteAuthorizer.js.map