"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteBasePathMappingInput_1 = require("../shapes/DeleteBasePathMappingInput");
const DeleteBasePathMappingOutput_1 = require("../shapes/DeleteBasePathMappingOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteBasePathMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteBasePathMapping",
    http: {
        method: "DELETE",
        requestUri: "/domainnames/{domain_name}/basepathmappings/{base_path}"
    },
    input: {
        shape: DeleteBasePathMappingInput_1.DeleteBasePathMappingInput
    },
    output: {
        shape: DeleteBasePathMappingOutput_1.DeleteBasePathMappingOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteBasePathMapping.js.map