"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteClientCertificateInput_1 = require("../shapes/DeleteClientCertificateInput");
const DeleteClientCertificateOutput_1 = require("../shapes/DeleteClientCertificateOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteClientCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteClientCertificate",
    http: {
        method: "DELETE",
        requestUri: "/clientcertificates/{clientcertificate_id}"
    },
    input: {
        shape: DeleteClientCertificateInput_1.DeleteClientCertificateInput
    },
    output: {
        shape: DeleteClientCertificateOutput_1.DeleteClientCertificateOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteClientCertificate.js.map