"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDocumentationPartInput_1 = require("../shapes/DeleteDocumentationPartInput");
const DeleteDocumentationPartOutput_1 = require("../shapes/DeleteDocumentationPartOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConflictException_1 = require("../shapes/ConflictException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDocumentationPart = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDocumentationPart",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/documentation/parts/{part_id}"
    },
    input: {
        shape: DeleteDocumentationPartInput_1.DeleteDocumentationPartInput
    },
    output: {
        shape: DeleteDocumentationPartOutput_1.DeleteDocumentationPartOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=DeleteDocumentationPart.js.map