"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteDomainNameInput_1 = require("../shapes/DeleteDomainNameInput");
const DeleteDomainNameOutput_1 = require("../shapes/DeleteDomainNameOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteDomainName = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteDomainName",
    http: {
        method: "DELETE",
        requestUri: "/domainnames/{domain_name}"
    },
    input: {
        shape: DeleteDomainNameInput_1.DeleteDomainNameInput
    },
    output: {
        shape: DeleteDomainNameOutput_1.DeleteDomainNameOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteDomainName.js.map