"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteGatewayResponseInput_1 = require("../shapes/DeleteGatewayResponseInput");
const DeleteGatewayResponseOutput_1 = require("../shapes/DeleteGatewayResponseOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteGatewayResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteGatewayResponse",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}"
    },
    input: {
        shape: DeleteGatewayResponseInput_1.DeleteGatewayResponseInput
    },
    output: {
        shape: DeleteGatewayResponseOutput_1.DeleteGatewayResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteGatewayResponse.js.map