"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteIntegrationInput_1 = require("../shapes/DeleteIntegrationInput");
const DeleteIntegrationOutput_1 = require("../shapes/DeleteIntegrationOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteIntegration",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"
    },
    input: {
        shape: DeleteIntegrationInput_1.DeleteIntegrationInput
    },
    output: {
        shape: DeleteIntegrationOutput_1.DeleteIntegrationOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteIntegration.js.map