"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteIntegrationResponseInput_1 = require("../shapes/DeleteIntegrationResponseInput");
const DeleteIntegrationResponseOutput_1 = require("../shapes/DeleteIntegrationResponseOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteIntegrationResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteIntegrationResponse",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}"
    },
    input: {
        shape: DeleteIntegrationResponseInput_1.DeleteIntegrationResponseInput
    },
    output: {
        shape: DeleteIntegrationResponseOutput_1.DeleteIntegrationResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteIntegrationResponse.js.map