"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteMethodInput_1 = require("../shapes/DeleteMethodInput");
const DeleteMethodOutput_1 = require("../shapes/DeleteMethodOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteMethod = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteMethod",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"
    },
    input: {
        shape: DeleteMethodInput_1.DeleteMethodInput
    },
    output: {
        shape: DeleteMethodOutput_1.DeleteMethodOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteMethod.js.map