"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteMethodResponseInput_1 = require("../shapes/DeleteMethodResponseInput");
const DeleteMethodResponseOutput_1 = require("../shapes/DeleteMethodResponseOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteMethodResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteMethodResponse",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}"
    },
    input: {
        shape: DeleteMethodResponseInput_1.DeleteMethodResponseInput
    },
    output: {
        shape: DeleteMethodResponseOutput_1.DeleteMethodResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteMethodResponse.js.map