"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteModelInput_1 = require("../shapes/DeleteModelInput");
const DeleteModelOutput_1 = require("../shapes/DeleteModelOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteModel",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/models/{model_name}"
    },
    input: {
        shape: DeleteModelInput_1.DeleteModelInput
    },
    output: {
        shape: DeleteModelOutput_1.DeleteModelOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteModel.js.map