"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteRequestValidatorInput_1 = require("../shapes/DeleteRequestValidatorInput");
const DeleteRequestValidatorOutput_1 = require("../shapes/DeleteRequestValidatorOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRequestValidator = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRequestValidator",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}"
    },
    input: {
        shape: DeleteRequestValidatorInput_1.DeleteRequestValidatorInput
    },
    output: {
        shape: DeleteRequestValidatorOutput_1.DeleteRequestValidatorOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=DeleteRequestValidator.js.map