"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteResourceInput_1 = require("../shapes/DeleteResourceInput");
const DeleteResourceOutput_1 = require("../shapes/DeleteResourceOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteResource",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}"
    },
    input: {
        shape: DeleteResourceInput_1.DeleteResourceInput
    },
    output: {
        shape: DeleteResourceOutput_1.DeleteResourceOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteResource.js.map