"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteRestApiInput_1 = require("../shapes/DeleteRestApiInput");
const DeleteRestApiOutput_1 = require("../shapes/DeleteRestApiOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteRestApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteRestApi",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}"
    },
    input: {
        shape: DeleteRestApiInput_1.DeleteRestApiInput
    },
    output: {
        shape: DeleteRestApiOutput_1.DeleteRestApiOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=DeleteRestApi.js.map