"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteUsagePlanInput_1 = require("../shapes/DeleteUsagePlanInput");
const DeleteUsagePlanOutput_1 = require("../shapes/DeleteUsagePlanOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteUsagePlan = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteUsagePlan",
    http: {
        method: "DELETE",
        requestUri: "/usageplans/{usageplanId}"
    },
    input: {
        shape: DeleteUsagePlanInput_1.DeleteUsagePlanInput
    },
    output: {
        shape: DeleteUsagePlanOutput_1.DeleteUsagePlanOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=DeleteUsagePlan.js.map