"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteUsagePlanKeyInput_1 = require("../shapes/DeleteUsagePlanKeyInput");
const DeleteUsagePlanKeyOutput_1 = require("../shapes/DeleteUsagePlanKeyOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteUsagePlanKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteUsagePlanKey",
    http: {
        method: "DELETE",
        requestUri: "/usageplans/{usageplanId}/keys/{keyId}"
    },
    input: {
        shape: DeleteUsagePlanKeyInput_1.DeleteUsagePlanKeyInput
    },
    output: {
        shape: DeleteUsagePlanKeyOutput_1.DeleteUsagePlanKeyOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DeleteUsagePlanKey.js.map