"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteVpcLinkInput_1 = require("../shapes/DeleteVpcLinkInput");
const DeleteVpcLinkOutput_1 = require("../shapes/DeleteVpcLinkOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteVpcLink = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteVpcLink",
    http: {
        method: "DELETE",
        requestUri: "/vpclinks/{vpclink_id}"
    },
    input: {
        shape: DeleteVpcLinkInput_1.DeleteVpcLinkInput
    },
    output: {
        shape: DeleteVpcLinkOutput_1.DeleteVpcLinkOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=DeleteVpcLink.js.map