"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FlushStageAuthorizersCacheInput_1 = require("../shapes/FlushStageAuthorizersCacheInput");
const FlushStageAuthorizersCacheOutput_1 = require("../shapes/FlushStageAuthorizersCacheOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.FlushStageAuthorizersCache = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "FlushStageAuthorizersCache",
    http: {
        method: "DELETE",
        requestUri: "/restapis/{restapi_id}/stages/{stage_name}/cache/authorizers"
    },
    input: {
        shape: FlushStageAuthorizersCacheInput_1.FlushStageAuthorizersCacheInput
    },
    output: {
        shape: FlushStageAuthorizersCacheOutput_1.FlushStageAuthorizersCacheOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=FlushStageAuthorizersCache.js.map