"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetAccountInput_1 = require("../shapes/GetAccountInput");
const GetAccountOutput_1 = require("../shapes/GetAccountOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAccount = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAccount",
    http: {
        method: "GET",
        requestUri: "/account"
    },
    input: {
        shape: GetAccountInput_1.GetAccountInput
    },
    output: {
        shape: GetAccountOutput_1.GetAccountOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetAccount.js.map