"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetApiKeyInput_1 = require("../shapes/GetApiKeyInput");
const GetApiKeyOutput_1 = require("../shapes/GetApiKeyOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApiKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApiKey",
    http: {
        method: "GET",
        requestUri: "/apikeys/{api_Key}"
    },
    input: {
        shape: GetApiKeyInput_1.GetApiKeyInput
    },
    output: {
        shape: GetApiKeyOutput_1.GetApiKeyOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetApiKey.js.map