"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetAuthorizerInput_1 = require("../shapes/GetAuthorizerInput");
const GetAuthorizerOutput_1 = require("../shapes/GetAuthorizerOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAuthorizer = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAuthorizer",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/authorizers/{authorizer_id}"
    },
    input: {
        shape: GetAuthorizerInput_1.GetAuthorizerInput
    },
    output: {
        shape: GetAuthorizerOutput_1.GetAuthorizerOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetAuthorizer.js.map