"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetBasePathMappingInput_1 = require("../shapes/GetBasePathMappingInput");
const GetBasePathMappingOutput_1 = require("../shapes/GetBasePathMappingOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetBasePathMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetBasePathMapping",
    http: {
        method: "GET",
        requestUri: "/domainnames/{domain_name}/basepathmappings/{base_path}"
    },
    input: {
        shape: GetBasePathMappingInput_1.GetBasePathMappingInput
    },
    output: {
        shape: GetBasePathMappingOutput_1.GetBasePathMappingOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetBasePathMapping.js.map