"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetClientCertificateInput_1 = require("../shapes/GetClientCertificateInput");
const GetClientCertificateOutput_1 = require("../shapes/GetClientCertificateOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetClientCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetClientCertificate",
    http: {
        method: "GET",
        requestUri: "/clientcertificates/{clientcertificate_id}"
    },
    input: {
        shape: GetClientCertificateInput_1.GetClientCertificateInput
    },
    output: {
        shape: GetClientCertificateOutput_1.GetClientCertificateOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetClientCertificate.js.map