"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetDocumentationPartInput_1 = require("../shapes/GetDocumentationPartInput");
const GetDocumentationPartOutput_1 = require("../shapes/GetDocumentationPartOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDocumentationPart = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDocumentationPart",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/documentation/parts/{part_id}"
    },
    input: {
        shape: GetDocumentationPartInput_1.GetDocumentationPartInput
    },
    output: {
        shape: GetDocumentationPartOutput_1.GetDocumentationPartOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetDocumentationPart.js.map