"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetDocumentationPartsInput_1 = require("../shapes/GetDocumentationPartsInput");
const GetDocumentationPartsOutput_1 = require("../shapes/GetDocumentationPartsOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDocumentationParts = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDocumentationParts",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/documentation/parts"
    },
    input: {
        shape: GetDocumentationPartsInput_1.GetDocumentationPartsInput
    },
    output: {
        shape: GetDocumentationPartsOutput_1.GetDocumentationPartsOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetDocumentationParts.js.map