"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetDocumentationVersionInput_1 = require("../shapes/GetDocumentationVersionInput");
const GetDocumentationVersionOutput_1 = require("../shapes/GetDocumentationVersionOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDocumentationVersion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDocumentationVersion",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/documentation/versions/{doc_version}"
    },
    input: {
        shape: GetDocumentationVersionInput_1.GetDocumentationVersionInput
    },
    output: {
        shape: GetDocumentationVersionOutput_1.GetDocumentationVersionOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetDocumentationVersion.js.map