"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetDocumentationVersionsInput_1 = require("../shapes/GetDocumentationVersionsInput");
const GetDocumentationVersionsOutput_1 = require("../shapes/GetDocumentationVersionsOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDocumentationVersions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDocumentationVersions",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/documentation/versions"
    },
    input: {
        shape: GetDocumentationVersionsInput_1.GetDocumentationVersionsInput
    },
    output: {
        shape: GetDocumentationVersionsOutput_1.GetDocumentationVersionsOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetDocumentationVersions.js.map