"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetExportInput_1 = require("../shapes/GetExportInput");
const GetExportOutput_1 = require("../shapes/GetExportOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetExport = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetExport",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/stages/{stage_name}/exports/{export_type}"
    },
    input: {
        shape: GetExportInput_1.GetExportInput
    },
    output: {
        shape: GetExportOutput_1.GetExportOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetExport.js.map