"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetGatewayResponsesInput_1 = require("../shapes/GetGatewayResponsesInput");
const GetGatewayResponsesOutput_1 = require("../shapes/GetGatewayResponsesOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetGatewayResponses = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetGatewayResponses",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/gatewayresponses"
    },
    input: {
        shape: GetGatewayResponsesInput_1.GetGatewayResponsesInput
    },
    output: {
        shape: GetGatewayResponsesOutput_1.GetGatewayResponsesOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetGatewayResponses.js.map