"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetIntegrationInput_1 = require("../shapes/GetIntegrationInput");
const GetIntegrationOutput_1 = require("../shapes/GetIntegrationOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetIntegration",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"
    },
    input: {
        shape: GetIntegrationInput_1.GetIntegrationInput
    },
    output: {
        shape: GetIntegrationOutput_1.GetIntegrationOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetIntegration.js.map