"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetRequestValidatorInput_1 = require("../shapes/GetRequestValidatorInput");
const GetRequestValidatorOutput_1 = require("../shapes/GetRequestValidatorOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRequestValidator = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRequestValidator",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}"
    },
    input: {
        shape: GetRequestValidatorInput_1.GetRequestValidatorInput
    },
    output: {
        shape: GetRequestValidatorOutput_1.GetRequestValidatorOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetRequestValidator.js.map