"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetRequestValidatorsInput_1 = require("../shapes/GetRequestValidatorsInput");
const GetRequestValidatorsOutput_1 = require("../shapes/GetRequestValidatorsOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRequestValidators = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRequestValidators",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/requestvalidators"
    },
    input: {
        shape: GetRequestValidatorsInput_1.GetRequestValidatorsInput
    },
    output: {
        shape: GetRequestValidatorsOutput_1.GetRequestValidatorsOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetRequestValidators.js.map