"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetResourceInput_1 = require("../shapes/GetResourceInput");
const GetResourceOutput_1 = require("../shapes/GetResourceOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResource",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}"
    },
    input: {
        shape: GetResourceInput_1.GetResourceInput
    },
    output: {
        shape: GetResourceOutput_1.GetResourceOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetResource.js.map