"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetSdkTypeInput_1 = require("../shapes/GetSdkTypeInput");
const GetSdkTypeOutput_1 = require("../shapes/GetSdkTypeOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetSdkType = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetSdkType",
    http: {
        method: "GET",
        requestUri: "/sdktypes/{sdktype_id}"
    },
    input: {
        shape: GetSdkTypeInput_1.GetSdkTypeInput
    },
    output: {
        shape: GetSdkTypeOutput_1.GetSdkTypeOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetSdkType.js.map