"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetStagesInput_1 = require("../shapes/GetStagesInput");
const GetStagesOutput_1 = require("../shapes/GetStagesOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetStages = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetStages",
    http: {
        method: "GET",
        requestUri: "/restapis/{restapi_id}/stages"
    },
    input: {
        shape: GetStagesInput_1.GetStagesInput
    },
    output: {
        shape: GetStagesOutput_1.GetStagesOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetStages.js.map