"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetUsagePlanInput_1 = require("../shapes/GetUsagePlanInput");
const GetUsagePlanOutput_1 = require("../shapes/GetUsagePlanOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetUsagePlan = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetUsagePlan",
    http: {
        method: "GET",
        requestUri: "/usageplans/{usageplanId}"
    },
    input: {
        shape: GetUsagePlanInput_1.GetUsagePlanInput
    },
    output: {
        shape: GetUsagePlanOutput_1.GetUsagePlanOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetUsagePlan.js.map