"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetUsagePlanKeysInput_1 = require("../shapes/GetUsagePlanKeysInput");
const GetUsagePlanKeysOutput_1 = require("../shapes/GetUsagePlanKeysOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetUsagePlanKeys = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetUsagePlanKeys",
    http: {
        method: "GET",
        requestUri: "/usageplans/{usageplanId}/keys"
    },
    input: {
        shape: GetUsagePlanKeysInput_1.GetUsagePlanKeysInput
    },
    output: {
        shape: GetUsagePlanKeysOutput_1.GetUsagePlanKeysOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetUsagePlanKeys.js.map