"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetUsagePlansInput_1 = require("../shapes/GetUsagePlansInput");
const GetUsagePlansOutput_1 = require("../shapes/GetUsagePlansOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConflictException_1 = require("../shapes/ConflictException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetUsagePlans = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetUsagePlans",
    http: {
        method: "GET",
        requestUri: "/usageplans"
    },
    input: {
        shape: GetUsagePlansInput_1.GetUsagePlansInput
    },
    output: {
        shape: GetUsagePlansOutput_1.GetUsagePlansOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=GetUsagePlans.js.map