"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetVpcLinkInput_1 = require("../shapes/GetVpcLinkInput");
const GetVpcLinkOutput_1 = require("../shapes/GetVpcLinkOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetVpcLink = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetVpcLink",
    http: {
        method: "GET",
        requestUri: "/vpclinks/{vpclink_id}"
    },
    input: {
        shape: GetVpcLinkInput_1.GetVpcLinkInput
    },
    output: {
        shape: GetVpcLinkOutput_1.GetVpcLinkOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetVpcLink.js.map