"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ImportRestApiInput_1 = require("../shapes/ImportRestApiInput");
const ImportRestApiOutput_1 = require("../shapes/ImportRestApiOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ImportRestApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ImportRestApi",
    http: {
        method: "POST",
        requestUri: "/restapis?mode=import"
    },
    input: {
        shape: ImportRestApiInput_1.ImportRestApiInput
    },
    output: {
        shape: ImportRestApiOutput_1.ImportRestApiOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=ImportRestApi.js.map