"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PutIntegrationResponseInput_1 = require("../shapes/PutIntegrationResponseInput");
const PutIntegrationResponseOutput_1 = require("../shapes/PutIntegrationResponseOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutIntegrationResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutIntegrationResponse",
    http: {
        method: "PUT",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}"
    },
    input: {
        shape: PutIntegrationResponseInput_1.PutIntegrationResponseInput
    },
    output: {
        shape: PutIntegrationResponseOutput_1.PutIntegrationResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=PutIntegrationResponse.js.map