"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PutMethodInput_1 = require("../shapes/PutMethodInput");
const PutMethodOutput_1 = require("../shapes/PutMethodOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutMethod = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutMethod",
    http: {
        method: "PUT",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"
    },
    input: {
        shape: PutMethodInput_1.PutMethodInput
    },
    output: {
        shape: PutMethodOutput_1.PutMethodOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=PutMethod.js.map