"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PutMethodResponseInput_1 = require("../shapes/PutMethodResponseInput");
const PutMethodResponseOutput_1 = require("../shapes/PutMethodResponseOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutMethodResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutMethodResponse",
    http: {
        method: "PUT",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/responses/{status_code}"
    },
    input: {
        shape: PutMethodResponseInput_1.PutMethodResponseInput
    },
    output: {
        shape: PutMethodResponseOutput_1.PutMethodResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=PutMethodResponse.js.map