"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PutRestApiInput_1 = require("../shapes/PutRestApiInput");
const PutRestApiOutput_1 = require("../shapes/PutRestApiOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutRestApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutRestApi",
    http: {
        method: "PUT",
        requestUri: "/restapis/{restapi_id}"
    },
    input: {
        shape: PutRestApiInput_1.PutRestApiInput
    },
    output: {
        shape: PutRestApiOutput_1.PutRestApiOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=PutRestApi.js.map