"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TagResourceInput_1 = require("../shapes/TagResourceInput");
const TagResourceOutput_1 = require("../shapes/TagResourceOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "PUT",
        requestUri: "/tags/{resource_arn}"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=TagResource.js.map