"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UntagResourceInput_1 = require("../shapes/UntagResourceInput");
const UntagResourceOutput_1 = require("../shapes/UntagResourceOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UntagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UntagResource",
    http: {
        method: "DELETE",
        requestUri: "/tags/{resource_arn}"
    },
    input: {
        shape: UntagResourceInput_1.UntagResourceInput
    },
    output: {
        shape: UntagResourceOutput_1.UntagResourceOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UntagResource.js.map