"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateApiKeyInput_1 = require("../shapes/UpdateApiKeyInput");
const UpdateApiKeyOutput_1 = require("../shapes/UpdateApiKeyOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateApiKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateApiKey",
    http: {
        method: "PATCH",
        requestUri: "/apikeys/{api_Key}"
    },
    input: {
        shape: UpdateApiKeyInput_1.UpdateApiKeyInput
    },
    output: {
        shape: UpdateApiKeyOutput_1.UpdateApiKeyOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateApiKey.js.map