"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateBasePathMappingInput_1 = require("../shapes/UpdateBasePathMappingInput");
const UpdateBasePathMappingOutput_1 = require("../shapes/UpdateBasePathMappingOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateBasePathMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateBasePathMapping",
    http: {
        method: "PATCH",
        requestUri: "/domainnames/{domain_name}/basepathmappings/{base_path}"
    },
    input: {
        shape: UpdateBasePathMappingInput_1.UpdateBasePathMappingInput
    },
    output: {
        shape: UpdateBasePathMappingOutput_1.UpdateBasePathMappingOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateBasePathMapping.js.map