"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateClientCertificateInput_1 = require("../shapes/UpdateClientCertificateInput");
const UpdateClientCertificateOutput_1 = require("../shapes/UpdateClientCertificateOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateClientCertificate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateClientCertificate",
    http: {
        method: "PATCH",
        requestUri: "/clientcertificates/{clientcertificate_id}"
    },
    input: {
        shape: UpdateClientCertificateInput_1.UpdateClientCertificateInput
    },
    output: {
        shape: UpdateClientCertificateOutput_1.UpdateClientCertificateOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=UpdateClientCertificate.js.map