"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateDeploymentInput_1 = require("../shapes/UpdateDeploymentInput");
const UpdateDeploymentOutput_1 = require("../shapes/UpdateDeploymentOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDeployment",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/deployments/{deployment_id}"
    },
    input: {
        shape: UpdateDeploymentInput_1.UpdateDeploymentInput
    },
    output: {
        shape: UpdateDeploymentOutput_1.UpdateDeploymentOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        }
    ]
};
//# sourceMappingURL=UpdateDeployment.js.map