"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateDocumentationPartInput_1 = require("../shapes/UpdateDocumentationPartInput");
const UpdateDocumentationPartOutput_1 = require("../shapes/UpdateDocumentationPartOutput");
const BadRequestException_1 = require("../shapes/BadRequestException");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const LimitExceededException_1 = require("../shapes/LimitExceededException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDocumentationPart = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDocumentationPart",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/documentation/parts/{part_id}"
    },
    input: {
        shape: UpdateDocumentationPartInput_1.UpdateDocumentationPartInput
    },
    output: {
        shape: UpdateDocumentationPartOutput_1.UpdateDocumentationPartOutput
    },
    errors: [
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateDocumentationPart.js.map