"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateDocumentationVersionInput_1 = require("../shapes/UpdateDocumentationVersionInput");
const UpdateDocumentationVersionOutput_1 = require("../shapes/UpdateDocumentationVersionOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateDocumentationVersion = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateDocumentationVersion",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/documentation/versions/{doc_version}"
    },
    input: {
        shape: UpdateDocumentationVersionInput_1.UpdateDocumentationVersionInput
    },
    output: {
        shape: UpdateDocumentationVersionOutput_1.UpdateDocumentationVersionOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateDocumentationVersion.js.map