"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateGatewayResponseInput_1 = require("../shapes/UpdateGatewayResponseInput");
const UpdateGatewayResponseOutput_1 = require("../shapes/UpdateGatewayResponseOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateGatewayResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateGatewayResponse",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/gatewayresponses/{response_type}"
    },
    input: {
        shape: UpdateGatewayResponseInput_1.UpdateGatewayResponseInput
    },
    output: {
        shape: UpdateGatewayResponseOutput_1.UpdateGatewayResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateGatewayResponse.js.map