"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateIntegrationInput_1 = require("../shapes/UpdateIntegrationInput");
const UpdateIntegrationOutput_1 = require("../shapes/UpdateIntegrationOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateIntegration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateIntegration",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration"
    },
    input: {
        shape: UpdateIntegrationInput_1.UpdateIntegrationInput
    },
    output: {
        shape: UpdateIntegrationOutput_1.UpdateIntegrationOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateIntegration.js.map