"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateIntegrationResponseInput_1 = require("../shapes/UpdateIntegrationResponseInput");
const UpdateIntegrationResponseOutput_1 = require("../shapes/UpdateIntegrationResponseOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateIntegrationResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateIntegrationResponse",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}/integration/responses/{status_code}"
    },
    input: {
        shape: UpdateIntegrationResponseInput_1.UpdateIntegrationResponseInput
    },
    output: {
        shape: UpdateIntegrationResponseOutput_1.UpdateIntegrationResponseOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateIntegrationResponse.js.map