"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateMethodInput_1 = require("../shapes/UpdateMethodInput");
const UpdateMethodOutput_1 = require("../shapes/UpdateMethodOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateMethod = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateMethod",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/resources/{resource_id}/methods/{http_method}"
    },
    input: {
        shape: UpdateMethodInput_1.UpdateMethodInput
    },
    output: {
        shape: UpdateMethodOutput_1.UpdateMethodOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateMethod.js.map