"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateModelInput_1 = require("../shapes/UpdateModelInput");
const UpdateModelOutput_1 = require("../shapes/UpdateModelOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateModel = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateModel",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/models/{model_name}"
    },
    input: {
        shape: UpdateModelInput_1.UpdateModelInput
    },
    output: {
        shape: UpdateModelOutput_1.UpdateModelOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateModel.js.map