"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateRequestValidatorInput_1 = require("../shapes/UpdateRequestValidatorInput");
const UpdateRequestValidatorOutput_1 = require("../shapes/UpdateRequestValidatorOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRequestValidator = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRequestValidator",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}/requestvalidators/{requestvalidator_id}"
    },
    input: {
        shape: UpdateRequestValidatorInput_1.UpdateRequestValidatorInput
    },
    output: {
        shape: UpdateRequestValidatorOutput_1.UpdateRequestValidatorOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateRequestValidator.js.map