"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateRestApiInput_1 = require("../shapes/UpdateRestApiInput");
const UpdateRestApiOutput_1 = require("../shapes/UpdateRestApiOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const ConflictException_1 = require("../shapes/ConflictException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRestApi = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRestApi",
    http: {
        method: "PATCH",
        requestUri: "/restapis/{restapi_id}"
    },
    input: {
        shape: UpdateRestApiInput_1.UpdateRestApiInput
    },
    output: {
        shape: UpdateRestApiOutput_1.UpdateRestApiOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateRestApi.js.map