"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateVpcLinkInput_1 = require("../shapes/UpdateVpcLinkInput");
const UpdateVpcLinkOutput_1 = require("../shapes/UpdateVpcLinkOutput");
const UnauthorizedException_1 = require("../shapes/UnauthorizedException");
const NotFoundException_1 = require("../shapes/NotFoundException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateVpcLink = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateVpcLink",
    http: {
        method: "PATCH",
        requestUri: "/vpclinks/{vpclink_id}"
    },
    input: {
        shape: UpdateVpcLinkInput_1.UpdateVpcLinkInput
    },
    output: {
        shape: UpdateVpcLinkOutput_1.UpdateVpcLinkOutput
    },
    errors: [
        {
            shape: UnauthorizedException_1.UnauthorizedException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=UpdateVpcLink.js.map